#pragma once

#include <Text.h>
#include <Server.h>
#include <InitDatei.h>

using namespace Framework;
using namespace Network;

class DateienEditor : public virtual ReferenceCounter
{
private:
    Text pfad;
    Text workPfad;
    Text fehler;
    InitDatei *ini;

public:
    // Konstruktor
    DateienEditor( char *pf, InitDatei *zIni );
    // Destruktor
    ~DateienEditor();
    // nicht constant
    bool prozessMessage( SKlient *zKlient );
    // constant
    char *getLetzterFehler() const;
};